Subject: linux-next: build failure after merge of the kbuild tree

From: Stephen Rothwell <[email-masked]>
Date: Tue, 16 Jul 2019 14:31:21 +1000

Hi all,

After merging the kbuild tree, today's linux-next build (x86_64
allnoconfig) failed like this:

make[1]: *** No rule to make target 'modules.order', needed by 'autoksyms_recursive'.  Stop.

Starting with commit

  656c0ac3cb4b ("kbuild: modpost: read modules.order instead of $(MODVERDIR)/*.mod")

i.e. after reverting just:

25a55e249bc0 Revert "kbuild: create *.mod with full directory path and remove MODVERDIR"
15657d9eceb6 Revert "kbuild: remove the first line of *.mod files"
8c21f4122839 Revert "kbuild: remove 'prepare1' target"
35bc41d44d2d Revert "kbuild: split out *.mod out of {single,multi}-used-m rules"

I get

cat: modules.order: No such file or directory

near the end of the allnoconfig build (but it does not fail).

and when I remove 25a55e249bc0 i.e. stop reverting

  0539f970a842 ("kbuild: create *.mod with full directory path and remove MODVERDIR")

the build fails.

So, for today I have reverted these 4 commits:

  56dce8121e97 ("kbuild: split out *.mod out of {single,multi}-used-m rules")
  fbe0b5eb7890 ("kbuild: remove 'prepare1' target")
  008fa222d268 ("kbuild: remove the first line of *.mod files")
  0539f970a842 ("kbuild: create *.mod with full directory path and remove MODVERDIR")

-- 
Cheers,
Stephen Rothwell